import { openBlock as s, createElementBlock as n, createElementVNode as l, toDisplayString as c, renderSlot as r, ref as w, computed as b, normalizeClass as k, unref as _, createVNode as z, withCtx as h, resolveComponent as D, createBlock as $, inject as T, withDirectives as L, isRef as V, vModelDynamic as F, createCommentVNode as f, provide as M, Fragment as B, renderList as C, vModelSelect as O, vModelText as E, useSlots as j, watch as R, normalizeStyle as Z, createTextVNode as A, onMounted as N, withModifiers as q, vModelCheckbox as G, withKeys as H } from "vue";
const X = { class: "cf-action-card" }, J = { class: "cf-action-card__body" }, Q = { class: "cf-action-card__title" }, W = { class: "cf-action-card__body__slot" }, Y = { class: "cf-action-card__action" }, _l = {
  __name: "ActionCard",
  props: {
    title: String
  },
  setup(a) {
    const t = a;
    return (e, o) => (s(), n("div", X, [
      l("div", J, [
        l("div", Q, c(t.title), 1),
        l("div", W, [
          r(e.$slots, "body")
        ])
      ]),
      l("div", Y, [
        r(e.$slots, "action")
      ])
    ]));
  }
};
const I = (a, t) => {
  const e = a.__vccOpts || a;
  for (const [o, i] of t)
    e[o] = i;
  return e;
}, ee = {}, te = { class: "cf-app-bar" };
function le(a, t) {
  return s(), n("header", te, [
    l("div", null, [
      r(a.$slots, "left")
    ]),
    l("div", null, [
      r(a.$slots, "right")
    ])
  ]);
}
const se = /* @__PURE__ */ I(ee, [["render", le]]);
const oe = { class: "cf-dropdown-body" }, ae = {
  __name: "Dropdown",
  setup(a) {
    const t = w(!1), e = b(() => ({
      "cf-dropdown": !0,
      "cf-dropdown--open": t.value
    }));
    return (o, i) => (s(), n("div", {
      class: k(_(e))
    }, [
      l("div", {
        class: "cf-dropdown-toggle",
        onClick: i[0] || (i[0] = (d) => t.value = !t.value)
      }, [
        r(o.$slots, "toggle")
      ]),
      l("div", oe, [
        r(o.$slots, "body")
      ]),
      l("div", {
        class: "cf-dropdown-backdrop",
        onClick: i[1] || (i[1] = (d) => t.value = !1)
      })
    ], 2));
  }
};
const ne = {
  key: 0,
  class: "cf-app-bar-link"
}, ie = { class: "cf-app-bar-link__label" }, de = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16"
}, [
  /* @__PURE__ */ l("path", { d: "M14.15 4.492H1.85l-.354.854 6.15 6.15h.707l6.15-6.15-.353-.854z" })
], -1), re = {
  key: 1,
  class: "cf-app-bar-link"
}, ue = { class: "cf-app-bar-link__label" }, pl = {
  __name: "AppBarLink",
  props: {
    dropdown: Boolean
  },
  setup(a) {
    return (t, e) => a.dropdown ? (s(), n("div", ne, [
      z(ae, null, {
        toggle: h(() => [
          l("div", ie, [
            r(t.$slots, "default"),
            de
          ])
        ]),
        body: h(() => [
          r(t.$slots, "dropdown")
        ]),
        _: 3
      })
    ])) : (s(), n("button", re, [
      l("div", ue, [
        r(t.$slots, "default")
      ])
    ]));
  }
};
const fl = {
  __name: "AppBody",
  props: {
    wide: {
      type: Boolean,
      default: !1
    }
  },
  setup(a) {
    const t = a, e = b(() => ({
      "cf-app-body": !0,
      "cf-app-body--wide": t.wide
    }));
    return (o, i) => (s(), n("div", {
      class: k(_(e))
    }, [
      r(o.$slots, "default")
    ], 2));
  }
};
const vl = {
  __name: "Banner",
  props: {
    type: String
  },
  setup(a) {
    const t = a, e = b(() => ({
      "cf-banner": !0,
      [`cf-banner--${t.type}`]: t.type
    }));
    return (o, i) => (s(), n("div", {
      class: k(_(e))
    }, [
      r(o.$slots, "default")
    ], 2));
  }
}, P = {
  to: {
    type: String,
    default: null
  },
  type: {
    type: String,
    default: "button"
  },
  large: {
    type: Boolean,
    default: !1
  },
  wide: {
    type: Boolean,
    default: !1
  },
  color: {
    type: String,
    default: null
  },
  loading: {
    type: Boolean,
    default: !1
  },
  disabled: {
    type: Boolean,
    default: !1
  }
};
const ce = ["type", "disabled"], bl = {
  __name: "FilledButton",
  props: P,
  setup(a) {
    const t = a, e = b(() => ({
      "cf-button": !0,
      "cf-button--large": t.large,
      "cf-button--wide": t.wide,
      "cf-button--loading": t.loading,
      "cf-button--disabled": t.disabled,
      "cf-filled-button": !0,
      [`cf-filled-button--${t.color}`]: t.color
    }));
    return (o, i) => {
      const d = D("router-link");
      return o.to ? (s(), $(d, {
        key: 0,
        class: k(_(e)),
        to: o.to,
        inert: t.disabled
      }, {
        default: h(() => [
          r(o.$slots, "default")
        ]),
        _: 3
      }, 8, ["class", "to", "inert"])) : (s(), n("button", {
        key: 1,
        class: k(_(e)),
        type: t.type,
        disabled: t.disabled
      }, [
        r(o.$slots, "default")
      ], 10, ce));
    };
  }
};
const _e = ["type", "disabled"], pe = {
  __name: "OutlinedButton",
  props: P,
  setup(a) {
    const t = a, e = b(() => ({
      "cf-button": !0,
      "cf-button--large": t.large,
      "cf-button--wide": t.wide,
      "cf-button--loading": t.loading,
      "cf-button--disabled": t.disabled,
      "cf-outlined-button": !0,
      [`cf-outlined-button--${t.color}`]: t.color
    }));
    return (o, i) => {
      const d = D("router-link");
      return o.to ? (s(), $(d, {
        key: 0,
        class: k(_(e)),
        to: o.to,
        inert: t.disabled
      }, {
        default: h(() => [
          r(o.$slots, "default")
        ]),
        _: 3
      }, 8, ["class", "to", "inert"])) : (s(), n("button", {
        key: 1,
        class: k(_(e)),
        type: t.type,
        disabled: t.disabled
      }, [
        r(o.$slots, "default")
      ], 10, _e));
    };
  }
};
const fe = ["disabled"], ml = {
  __name: "TextButton",
  props: {
    to: String,
    disabled: Boolean
  },
  setup(a) {
    const t = a;
    return (e, o) => {
      const i = D("router-link");
      return a.to ? (s(), $(i, {
        key: 0,
        class: "cf-text-button",
        to: a.to,
        inert: t.disabled
      }, {
        default: h(() => [
          r(e.$slots, "default")
        ]),
        _: 3
      }, 8, ["to", "inert"])) : (s(), n("button", {
        key: 1,
        class: "cf-text-button",
        type: "button",
        disabled: t.disabled
      }, [
        r(e.$slots, "default")
      ], 8, fe));
    };
  }
};
const ve = { class: "cf-choice" }, be = ["type", "id", "name", "value", "true-value", "false-value", "required", "disabled"], me = ["for"], ye = { key: 0 }, he = {
  __name: "Choice",
  props: {
    modelValue: [Number, String, Boolean, Array],
    value: [Number, String, Boolean],
    trueValue: {
      type: [Number, String, Boolean],
      default: !0
    },
    falseValue: {
      type: [Number, String, Boolean],
      default: !1
    },
    type: String,
    label: String,
    helper: String,
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = Math.random(), i = {
      name: T("choice-list-name", null),
      required: T("choice-list-required", null)
    }, d = b({
      get() {
        return e.modelValue;
      },
      set(u) {
        t("update:modelValue", u);
      }
    });
    return (u, v) => (s(), n("div", ve, [
      L(l("input", {
        "onUpdate:modelValue": v[0] || (v[0] = (y) => V(d) ? d.value = y : null),
        type: e.type,
        id: _(o),
        name: i.name,
        value: e.value,
        "true-value": e.trueValue,
        "false-value": e.falseValue,
        required: i.required,
        disabled: e.disabled
      }, null, 8, be), [
        [F, _(d)]
      ]),
      l("label", { for: _(o) }, c(e.label || e.value), 9, me),
      e.helper ? (s(), n("small", ye, c(e.helper), 1)) : f("", !0)
    ]));
  }
};
const ge = {
  key: 0,
  class: "cf-choice-list__label"
}, yl = {
  __name: "ChoiceList",
  props: {
    modelValue: [Number, String, Boolean, Array],
    label: String,
    choices: Array,
    multiple: Boolean,
    required: Boolean,
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = b(() => ({
      "cf-choice-list": !0,
      "cf-choice-list--disabled": e.disabled
    })), i = b({
      get() {
        return e.modelValue;
      },
      set(d) {
        t("update:modelValue", d);
      }
    });
    return M("choice-list-name", Math.random()), M("choice-list-required", e.required), (d, u) => (s(), n("div", {
      class: k(_(o))
    }, [
      e.label ? (s(), n("div", ge, c(e.label), 1)) : f("", !0),
      (s(!0), n(B, null, C(a.choices, (v) => (s(), $(he, {
        key: v.value || v,
        type: e.multiple ? "checkbox" : "radio",
        label: v.label || v.value || v,
        helper: v.helper,
        value: v.value || v,
        disabled: e.disabled,
        modelValue: _(i),
        "onUpdate:modelValue": u[0] || (u[0] = (y) => V(i) ? i.value = y : null)
      }, null, 8, ["type", "label", "helper", "value", "disabled", "modelValue"]))), 128)),
      r(d.$slots, "default")
    ], 2));
  }
};
const $e = { class: "cf-field" }, ke = ["required", "disabled"], xe = {
  key: 0,
  value: null
}, we = ["value"], Se = ["required", "disabled"], Be = ["type", "placeholder", "list", "required", "disabled"], Ve = {
  key: 3,
  class: "cf-field__prefix"
}, Ce = {
  key: 4,
  class: "cf-field__suffix"
}, De = { key: 5 }, Le = { key: 6 }, qe = /* @__PURE__ */ l("div", { class: "cf-field__outline" }, null, -1), K = {
  __name: "Field",
  props: {
    modelValue: [Number, String],
    type: String,
    label: String,
    placeholder: String,
    prefix: String,
    suffix: String,
    options: Array,
    list: String,
    helper: String,
    disabled: Boolean,
    required: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = b({
      get() {
        return e.modelValue;
      },
      set(i) {
        t("update:modelValue", i);
      }
    });
    return (i, d) => (s(), n("div", $e, [
      e.type === "select" ? L((s(), n("select", {
        key: 0,
        class: "cf-field__input",
        "onUpdate:modelValue": d[0] || (d[0] = (u) => V(o) ? o.value = u : null),
        required: e.required,
        disabled: e.disabled
      }, [
        !e.required && e.options.length ? (s(), n("option", xe)) : f("", !0),
        (s(!0), n(B, null, C(e.options, (u) => (s(), n("option", {
          key: u.value || u,
          value: u.value || u
        }, c(u.label || u), 9, we))), 128))
      ], 8, ke)), [
        [O, _(o)]
      ]) : e.type === "textarea" ? L((s(), n("textarea", {
        key: 1,
        class: "cf-field__input",
        "onUpdate:modelValue": d[1] || (d[1] = (u) => V(o) ? o.value = u : null),
        required: e.required,
        disabled: e.disabled
      }, null, 8, Se)), [
        [E, _(o)]
      ]) : L((s(), n("input", {
        key: 2,
        class: "cf-field__input",
        "onUpdate:modelValue": d[2] || (d[2] = (u) => V(o) ? o.value = u : null),
        type: e.type,
        placeholder: e.placeholder,
        list: e.list,
        required: e.required,
        disabled: e.disabled
      }, null, 8, Be)), [
        [F, _(o)]
      ]),
      e.prefix && !["select", "textarea"].includes(e.type) ? (s(), n("div", Ve, c(e.prefix), 1)) : f("", !0),
      e.suffix && !["select", "textarea"].includes(e.type) ? (s(), n("div", Ce, c(e.suffix), 1)) : f("", !0),
      e.label ? (s(), n("label", De, c(e.label), 1)) : f("", !0),
      e.helper ? (s(), n("small", Le, c(e.helper), 1)) : f("", !0),
      qe
    ]));
  }
};
const ze = { class: "cf-data-table-item" }, Ae = {
  key: 0,
  class: "cf-data-table-item__drawer"
}, Te = { class: "cf-data-table-item__content" }, Me = ["data-label"], Fe = /* @__PURE__ */ l("span", { class: "material-symbols-outlined" }, null, -1), Ne = [
  Fe
], Ie = /* @__PURE__ */ l("span", { class: "material-symbols-outlined" }, null, -1), Pe = {
  __name: "DataTableItem",
  props: {
    data: Object,
    expandable: Boolean
  },
  setup(a) {
    const t = a, e = T("columns", []), o = w(!1);
    return (i, d) => {
      const u = D("router-link");
      return s(), n("div", ze, [
        o.value ? (s(), n("div", Ae, [
          r(i.$slots, "default", {
            item: t.data
          })
        ])) : f("", !0),
        l("div", Te, [
          (s(!0), n(B, null, C(_(e), (v) => (s(), n("div", {
            key: v.key,
            "data-label": v.label
          }, c(a.data[v.key]), 9, Me))), 128))
        ]),
        t.expandable ? (s(), n("button", {
          key: 1,
          class: "cf-data-table-item__toggle",
          onClick: d[0] || (d[0] = (v) => o.value = !o.value)
        }, Ne)) : f("", !0),
        t.data.to ? (s(), $(u, {
          key: 2,
          class: "cf-data-table-item__toggle",
          to: t.data.to
        }, {
          default: h(() => [
            Ie
          ]),
          _: 1
        }, 8, ["to"])) : f("", !0),
        t.expandable && o.value ? (s(), n("div", {
          key: 3,
          class: "cf-data-table-item__backdrop",
          onClick: d[1] || (d[1] = (v) => o.value = !1)
        })) : f("", !0)
      ]);
    };
  }
};
const Ke = { class: "cf-data-table" }, Ue = { class: "cf-data-table__header" }, Oe = { class: "cf-data-table__header__content" }, Ee = {
  key: 0,
  class: "cf-data-table__title"
}, je = {
  key: 1,
  class: "cf-data-table__description"
}, Re = {
  key: 2,
  class: "cf-data-table__search"
}, Ze = {
  key: 3,
  class: "cf-data-table__actions"
}, Ge = {
  key: 0,
  class: "cf-data-table__header__slot"
}, He = { class: "cf-data-table__body__header" }, Xe = { class: "cf-data-table__body__items" }, Je = {
  key: 0,
  class: "cf-data-table__footer"
}, Qe = { class: "cf-data-table__footer__pagination" }, We = ["disabled"], Ye = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ l("path", { d: "M11.022 14.503L4.518 8l6.504-6.504.707.707L5.932 8l5.797 5.796-.707.707z" })
], -1), et = [
  Ye
], tt = ["disabled"], lt = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ l("path", { d: "M4.99 14.503l-.707-.707L10.08 8 4.283 2.203l.707-.707L11.494 8 4.99 14.503z" })
], -1), st = [
  lt
], ot = { key: 0 }, hl = {
  __name: "DataTable",
  props: {
    title: String,
    description: String,
    expandable: Boolean,
    paginate: {
      type: Boolean,
      default: !0
    },
    searchKey: String,
    pluralTerm: {
      type: String,
      default: "items"
    },
    itemKey: String,
    pageSize: {
      type: [Number, String],
      default: 10
    },
    columns: {
      type: Array,
      default: []
    },
    data: {
      type: Array,
      default: []
    }
  },
  setup(a) {
    const t = a, e = j(), o = w(""), i = b(() => t.data.filter((p) => {
      if (o.value) {
        const S = p[t.searchKey].replaceAll(" ", "").toLowerCase(), x = o.value.replaceAll(" ", "").toLowerCase();
        return S.includes(x);
      } else
        return !0;
    })), d = w(1), u = b(() => Math.ceil(i.value.length / parseInt(t.pageSize))), v = b(() => {
      const p = d.value < u.value ? d.value * t.pageSize : i.value.length;
      return {
        start: (d.value - 1) * t.pageSize + 1,
        end: p
      };
    }), y = b(() => t.paginate ? i.value.slice(
      (d.value - 1) * parseInt(t.pageSize),
      d.value * parseInt(t.pageSize)
    ) : i.value), g = () => {
      d.value < u.value && d.value++;
    }, m = () => {
      d.value > 1 && d.value--;
    };
    return R(o, () => {
      d.value > 1 && (d.value = 1);
    }), M("columns", t.columns), (p, S) => (s(), n("div", Ke, [
      l("div", Ue, [
        l("div", Oe, [
          t.title ? (s(), n("div", Ee, c(t.title), 1)) : f("", !0),
          t.description ? (s(), n("div", je, c(t.description), 1)) : f("", !0),
          t.searchKey ? (s(), n("div", Re, [
            z(K, {
              modelValue: o.value,
              "onUpdate:modelValue": S[0] || (S[0] = (x) => o.value = x),
              type: "text",
              label: "Search"
            }, null, 8, ["modelValue"])
          ])) : f("", !0),
          _(e).actions ? (s(), n("div", Ze, [
            r(p.$slots, "actions")
          ])) : f("", !0)
        ]),
        _(e).header ? (s(), n("div", Ge, [
          r(p.$slots, "header")
        ])) : f("", !0)
      ]),
      l("div", {
        class: "cf-data-table__body",
        style: Z(`--columns: ${t.columns.length}`)
      }, [
        l("div", He, [
          (s(!0), n(B, null, C(t.columns, (x) => (s(), n("div", {
            key: x.key
          }, c(x.label), 1))), 128))
        ]),
        l("div", Xe, [
          (s(!0), n(B, null, C(_(y), (x) => (s(), $(Pe, {
            key: x._id || x[t.itemKey],
            data: x,
            expandable: t.expandable
          }, {
            default: h((U) => [
              r(p.$slots, "item-drawer", {
                item: U.item
              })
            ]),
            _: 2
          }, 1032, ["data", "expandable"]))), 128))
        ])
      ], 4),
      t.paginate ? (s(), n("div", Je, [
        l("div", Qe, [
          l("button", {
            disabled: d.value <= 1,
            onClick: m
          }, et, 8, We),
          l("button", {
            disabled: d.value >= _(u),
            onClick: g
          }, st, 8, tt),
          _(i).length ? (s(), n("div", ot, [
            l("b", null, c(`${_(v).start} to ${_(v).end}`), 1),
            A(" of "),
            l("b", null, c(_(i).length), 1)
          ])) : f("", !0)
        ])
      ])) : f("", !0)
    ]));
  }
};
const at = { class: "cf-sidebar-nav" }, nt = /* @__PURE__ */ l("hr", null, null, -1), it = /* @__PURE__ */ l("span", { class: "material-symbols-outlined" }, null, -1), dt = /* @__PURE__ */ l("span", null, "Collapse sidebar", -1), rt = [
  it,
  dt
], ut = {
  __name: "Sidebar",
  setup(a) {
    const t = w(!1), e = b(() => ({
      "cf-sidebar": !0,
      "cf-sidebar--toggled": t.value
    }));
    return (o, i) => (s(), n("aside", {
      class: k(_(e))
    }, [
      l("nav", at, [
        r(o.$slots, "default"),
        nt
      ]),
      l("button", {
        class: "cf-sidebar-toggle",
        onClick: i[0] || (i[0] = (d) => t.value = !t.value)
      }, rt)
    ], 2));
  }
};
const gl = {
  __name: "DefaultLayout",
  setup(a) {
    return N(() => {
      document.body.dataset.layout = "default";
    }), (t, e) => (s(), n(B, null, [
      z(se, null, {
        left: h(() => [
          r(t.$slots, "brand")
        ]),
        right: h(() => [
          r(t.$slots, "navigation")
        ]),
        _: 3
      }),
      z(ut, null, {
        default: h(() => [
          r(t.$slots, "sidebar")
        ]),
        _: 3
      }),
      l("main", null, [
        r(t.$slots, "main")
      ])
    ], 64));
  }
};
const ct = { class: "cf-dialog-header" }, _t = { class: "cf-dialog__title" }, pt = { key: 0 }, ft = { class: "cf-dialog-body" }, vt = { class: "cf-dialog-footer" }, bt = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ l("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), mt = [
  bt
], $l = {
  __name: "Dialog",
  props: {
    title: String,
    description: String
  },
  emits: ["close"],
  setup(a, { emit: t }) {
    const e = a, o = w(null);
    return N(() => {
      o.value.showModal(), o.value.addEventListener("close", () => {
        t("close");
      });
    }), (i, d) => (s(), n("dialog", {
      class: "cf-dialog",
      ref_key: "dialog",
      ref: o
    }, [
      l("div", ct, [
        l("div", _t, c(e.title), 1),
        e.description ? (s(), n("div", pt, c(e.description), 1)) : f("", !0)
      ]),
      l("div", ft, [
        r(i.$slots, "body")
      ]),
      l("div", vt, [
        r(i.$slots, "footer")
      ]),
      l("button", {
        class: "cf-dialog-close",
        onClick: d[0] || (d[0] = (u) => t("close"))
      }, mt)
    ], 512));
  }
};
const yt = {
  key: 0,
  class: "cf-dropdown-item__icon"
}, ht = { class: "material-symbols-outlined" }, gt = { class: "cf-dropdown-item__label" }, $t = {
  key: 0,
  class: "cf-dropdown-item__icon"
}, kt = { class: "material-symbols-outlined" }, xt = { class: "cf-dropdown-item__label" }, kl = {
  __name: "DropdownItem",
  props: {
    icon: String,
    to: String,
    large: Boolean
  },
  setup(a) {
    const t = a, e = b(() => ({
      "cf-dropdown-item": !0,
      "cf-dropdown-item--large": t.large
    }));
    return (o, i) => {
      const d = D("router-link");
      return a.to ? (s(), $(d, {
        key: 1,
        class: k(_(e)),
        to: a.to
      }, {
        default: h(() => [
          a.icon ? (s(), n("div", $t, [
            l("span", kt, c(a.icon), 1)
          ])) : f("", !0),
          l("div", xt, [
            r(o.$slots, "default")
          ])
        ]),
        _: 3
      }, 8, ["class", "to"])) : (s(), n("button", {
        key: 0,
        class: k(_(e))
      }, [
        a.icon ? (s(), n("div", yt, [
          l("span", ht, c(a.icon), 1)
        ])) : f("", !0),
        l("div", gt, [
          r(o.$slots, "default")
        ])
      ], 2));
    };
  }
};
const wt = { class: "cf-drop-zone" }, St = ["onDrop"], Bt = { class: "cf-drop-zone-box__label" }, Vt = { class: "cf-drop-zone-box__action" }, Ct = /* @__PURE__ */ l("span", null, "select from device", -1), Dt = ["required"], Lt = {
  key: 0,
  class: "cf-drop-zone-box__helper"
}, qt = {
  key: 1,
  class: "cf-drop-zone-list"
}, zt = /* @__PURE__ */ l("div", { class: "cf-drop-zone-list__header" }, null, -1), At = { class: "cf-drop-zone-list__item" }, Tt = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "12",
  height: "12"
}, [
  /* @__PURE__ */ l("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), Mt = [
  Tt
], xl = {
  __name: "DropZone",
  props: {
    modelValue: File,
    label: {
      type: String,
      default: "Add your file here."
    },
    max: {
      type: [Number, String],
      default: 0
    },
    accept: String,
    required: {
      type: Boolean,
      default: !1
    }
  },
  emits: ["update:modelValue", "add", "cancel"],
  setup(a, { emit: t }) {
    const e = a, o = w(null), i = b(() => !!(e.required && !e.modelValue)), d = b(() => {
      if (e.modelValue) {
        const p = (e.modelValue.size / 1048576).toFixed(0), S = (p / 1e3).toFixed(1);
        return p < 100 ? `${p} MB` : `${S} GB`;
      } else
        return "0 MB";
    }), u = (m) => {
      const p = m.target.files[0];
      y(p);
    }, v = (m) => {
      const p = m.dataTransfer.files[0];
      y(p);
    }, y = (m) => {
      const p = parseInt(e.max) * 1048576;
      p && p < m.size ? (o.value.value = "", alert(`File cannot exceed ${e.max} MB`)) : (t("update:modelValue", m), t("add", m));
    }, g = () => {
      t("update:modelValue", null), t("cancel");
    };
    return (m, p) => (s(), n("div", wt, [
      a.modelValue ? (s(), n("div", qt, [
        zt,
        l("div", At, [
          l("div", null, c(e.modelValue.name), 1),
          l("div", null, c(_(d)), 1),
          l("button", { onClick: g }, Mt)
        ])
      ])) : (s(), n("div", {
        key: 0,
        class: "cf-drop-zone-box",
        onDrop: q(v, ["prevent"]),
        onDragenter: p[0] || (p[0] = q(() => {
        }, ["prevent"])),
        onDragover: p[1] || (p[1] = q(() => {
        }, ["prevent"])),
        onDragleave: p[2] || (p[2] = q(() => {
        }, ["prevent"]))
      }, [
        l("div", Bt, c(e.label), 1),
        l("label", Vt, [
          A(" Drag and drop or "),
          Ct,
          l("input", {
            type: "file",
            ref_key: "input",
            ref: o,
            required: _(i),
            onChange: u
          }, null, 40, Dt)
        ]),
        e.max ? (s(), n("div", Lt, " Files larger than " + c(e.max) + " MB cannot be uploaded ", 1)) : f("", !0)
      ], 40, St))
    ]));
  }
};
const Ft = ["value", "max"], wl = {
  __name: "Progress",
  props: {
    value: {
      type: [Number, String],
      default: 0
    },
    max: {
      type: [Number, String],
      default: 100
    }
  },
  setup(a) {
    const t = a;
    return (e, o) => (s(), n("progress", {
      class: "cf-progress",
      value: t.value,
      max: t.max
    }, c(a.value) + "% ", 9, Ft));
  }
};
const Nt = { class: "cf-sidebar-link__icon" }, It = { class: "material-symbols-outlined" }, Pt = { class: "cf-sidebar-link__label" }, Kt = ["href"], Ut = { class: "cf-sidebar-link__icon" }, Ot = { class: "material-symbols-outlined" }, Et = { class: "cf-sidebar-link__label" }, Sl = {
  __name: "SidebarLink",
  props: {
    to: String,
    href: String,
    icon: String
  },
  setup(a) {
    const t = a;
    return (e, o) => {
      const i = D("router-link");
      return a.to ? (s(), $(i, {
        key: 0,
        class: "cf-sidebar-link",
        to: t.to
      }, {
        default: h(() => [
          l("div", Nt, [
            l("span", It, c(a.icon), 1)
          ]),
          l("div", Pt, [
            r(e.$slots, "default")
          ])
        ]),
        _: 3
      }, 8, ["to"])) : (s(), n("a", {
        key: 1,
        class: "cf-sidebar-link",
        href: a.href
      }, [
        l("div", Ut, [
          l("span", Ot, c(a.icon), 1)
        ]),
        l("div", Et, [
          r(e.$slots, "default")
        ])
      ], 8, Kt));
    };
  }
};
const jt = {}, Rt = { class: "cf-spinner" }, Zt = /* @__PURE__ */ l("div", null, null, -1), Gt = /* @__PURE__ */ l("div", null, null, -1), Ht = /* @__PURE__ */ l("div", null, null, -1), Xt = /* @__PURE__ */ l("div", null, null, -1), Jt = [
  Zt,
  Gt,
  Ht,
  Xt
];
function Qt(a, t) {
  return s(), n("div", Rt, Jt);
}
const Bl = /* @__PURE__ */ I(jt, [["render", Qt]]);
const Wt = { class: "cf-switch" }, Yt = ["value", "true-value", "false-value", "disabled"], el = {
  key: 0,
  class: "cf-switch__label"
}, Vl = {
  __name: "Switch",
  props: {
    modelValue: [Number, String, Boolean],
    label: String,
    value: [Number, String, Boolean],
    trueValue: {
      type: [Number, String, Boolean],
      default: !0
    },
    falseValue: {
      type: [Number, String, Boolean],
      default: !1
    },
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = b({
      get() {
        return e.modelValue;
      },
      set(i) {
        t("update:modelValue", i);
      }
    });
    return (i, d) => (s(), n("div", Wt, [
      L(l("input", {
        class: "cf-switch__box",
        "onUpdate:modelValue": d[0] || (d[0] = (u) => V(o) ? o.value = u : null),
        type: "checkbox",
        value: e.value,
        "true-value": e.trueValue,
        "false-value": e.falseValue,
        disabled: e.disabled
      }, null, 8, Yt), [
        [G, _(o)]
      ]),
      e.label ? (s(), n("div", el, c(e.label), 1)) : f("", !0)
    ]));
  }
};
const tl = { class: "cf-tag" }, ll = /* @__PURE__ */ l("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ l("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), sl = [
  ll
], ol = {
  __name: "Tag",
  props: {
    removable: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["remove"],
  setup(a, { emit: t }) {
    const e = a;
    return (o, i) => (s(), n("div", tl, [
      l("span", null, [
        r(o.$slots, "default")
      ]),
      e.removable ? (s(), n("button", {
        key: 0,
        onClick: i[0] || (i[0] = (d) => t("remove"))
      }, sl)) : f("", !0)
    ]));
  }
};
const al = ["inert"], nl = { key: 0 }, il = { class: "cf-tags-field__input" }, dl = ["required"], rl = { class: "cf-tags-field__tags" }, ul = { key: 1 }, Cl = {
  __name: "TagsField",
  props: {
    modelValue: Array,
    label: String,
    buttonText: {
      type: String,
      default: "Add"
    },
    prefix: String,
    options: Array,
    helper: String,
    disabled: Boolean,
    required: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = w(!1), i = w(""), d = b(() => e.options ? e.options.filter((y) => !e.modelValue.includes(y)) : null), u = () => {
      if (!i.value || e.disabled)
        return !1;
      const y = e.modelValue;
      y.push(i.value), t("update:modelValue", y), i.value = "", o.value = !1;
    }, v = (y) => {
      if (e.disabled)
        return !1;
      const g = e.modelValue;
      g.splice(y, 1), t("update:modelValue", g);
    };
    return (y, g) => (s(), n("div", {
      class: "cf-tags-field",
      inert: e.disabled
    }, [
      e.label ? (s(), n("label", nl, c(e.label), 1)) : f("", !0),
      l("div", il, [
        o.value ? (s(), $(K, {
          key: 0,
          modelValue: i.value,
          "onUpdate:modelValue": g[0] || (g[0] = (m) => i.value = m),
          type: e.options ? "select" : "text",
          prefix: e.prefix,
          options: _(d),
          onKeydown: H(u, ["enter"]),
          onChange: u,
          required: ""
        }, null, 8, ["modelValue", "type", "prefix", "options", "onKeydown"])) : (s(), $(pe, {
          key: 1,
          color: "blue",
          onClick: g[1] || (g[1] = (m) => o.value = !0)
        }, {
          default: h(() => [
            A(c(e.buttonText), 1)
          ]),
          _: 1
        })),
        l("input", {
          class: "cf-tags-field__input__faux",
          type: "text",
          required: e.required && !e.modelValue.length
        }, null, 8, dl)
      ]),
      l("div", rl, [
        (s(!0), n(B, null, C(e.modelValue, (m, p) => (s(), $(ol, {
          key: m,
          onRemove: (S) => v(p)
        }, {
          default: h(() => [
            A(c(e.prefix) + " " + c(m), 1)
          ]),
          _: 2
        }, 1032, ["onRemove"]))), 128))
      ]),
      e.helper ? (s(), n("small", ul, c(e.helper), 1)) : f("", !0)
    ], 8, al));
  }
};
export {
  _l as CfActionCard,
  se as CfAppBar,
  pl as CfAppBarLink,
  fl as CfAppBody,
  vl as CfBanner,
  he as CfChoice,
  yl as CfChoiceList,
  hl as CfDataTable,
  gl as CfDefaultLayout,
  $l as CfDialog,
  xl as CfDropZone,
  ae as CfDropdown,
  kl as CfDropdownItem,
  K as CfField,
  bl as CfFilledButton,
  pe as CfOutlinedButton,
  wl as CfProgress,
  ut as CfSidebar,
  Sl as CfSidebarLink,
  Bl as CfSpinner,
  Vl as CfSwitch,
  ol as CfTag,
  Cl as CfTagsField,
  ml as CfTextButton
};
